Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class EditorListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.EditorListenerAdapter

All Implemented Interfaces:
  ComponentListener, EditorListener

    public class EditorListenerAdapter

extends ComponentListenerAdapter
implements EditorListener

Constructor Summary
`EditorListenerAdapter()`

Method Summary
`boolean` | `doBeforeComplete(Editor source, java.lang.Object value, java.lang.Object startValue)` Fires after a change has been made to the field, but before the change is reflected in the underlying field.
`boolean` | `doBeforeStartEdit(Editor source, ExtElement boundEl, java.lang.Object value)` Fires when editing is initiated, but before the value changes.
`void` | `onComplete(Editor source, java.lang.Object value, java.lang.Object startValue)` Fires after editing is complete and any changed value has been written to the underlying field.
`void` | `onSpeciakKey(Field field, EventObject e)` Fires when any key related to navigation (arrows, tab, enter, esc, etc.) is pressed.

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### EditorListenerAdapter

    public EditorListenerAdapter()

Method Detail

### doBeforeComplete

    public boolean doBeforeComplete(Editor source,
                                    java.lang.Object value,
                                    java.lang.Object startValue)

  Description copied from interface: `EditorListener`
  Fires after a change has been made to the field, but before the change is reflected in the underlying field. Saving the change to the field can be canceled by returning false from the handler of this event. Note that if the value has not changed and ignoreNoChange = true, the editing will still end but this event will not fire since no edit actually occurred.

  Specified by:
    `doBeforeComplete` in interface `EditorListener`
  Parameters:
    `source` - this
    `value` - the current field value
    `startValue` - the original field value
  Returns:
    false to cancel the field edit

### doBeforeStartEdit

    public boolean doBeforeStartEdit(Editor source,
                                     ExtElement boundEl,
                                     java.lang.Object value)

  Description copied from interface: `EditorListener`
  Fires when editing is initiated, but before the value changes. Editing can be canceled by returning false from the handler of this event.

  Specified by:
    `doBeforeStartEdit` in interface `EditorListener`
  Parameters:
    `source` - this
    `boundEl` - the underlying element bound to this editor
    `value` - the field value beign set
  Returns:
    fale to cancel the editing

### onComplete

    public void onComplete(Editor source,
                           java.lang.Object value,
                           java.lang.Object startValue)

  Description copied from interface: `EditorListener`
  Fires after editing is complete and any changed value has been written to the underlying field.

  Specified by:
    `onComplete` in interface `EditorListener`
  Parameters:
    `source` - this
    `value` - the current field value
    `startValue` - the original field value

### onSpeciakKey

    public void onSpeciakKey(Field field,
                             EventObject e)

  Description copied from interface: `EditorListener`
  Fires when any key related to navigation (arrows, tab, enter, esc, etc.) is pressed. You can check `EventObject.getKey()` to determine which key was pressed.

  Specified by:
    `onSpeciakKey` in interface `EditorListener`
  Parameters:
    `field` - this
    `e` - the event object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD